Bug 652412 - Review Request: rubygem-boxgrinder-build-local-delivery-plugin - BoxGrinder plugin delivering appliance to local filesystem
Review Request: rubygem-boxgrinder-build-local-delivery-plugin - BoxGrinder p...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 652400
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-11 14:47 EST by Marek Goldmann
Modified: 2011-01-25 09:09 EST (History)
3 users (show)

See Also:
Fixed In Version: rubygem-boxgrinder-build-local-delivery-plugin-0.0.5-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-10 13:17:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Goldmann 2010-11-11 14:47:57 EST
Spec URL: http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-local-delivery-plugin.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-local-delivery-plugin-0.0.4-2.fc14.src.rpm
Description:

BoxGrinder Build (http://www.jboss.org/boxgrinder) to
Fedora. BoxGrinder is a command line tool for building appliances (virtual
machines) to various platforms (KVM, Xen, VMware, EC2).

This package contains files required to deliver appliances to path specified on local filesystem.
Comment 1 Marek Goldmann 2010-11-25 09:48:40 EST
Updated spec files:

Spec URL:
http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-local-delivery-plugin.spec
SRPM URL:
http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-local-delivery-plugin-0.0.4-3.fc15.src.rpm

Changelog:

* Tue Nov 23 2010  <mgoldman@redhat.com> - 0.0.4-3
- Cleaned Requires/Build Requires
- Added BR: rubygem(rake), BR: rubygem(echoe), BR: rubygem(rspec)
Comment 2 Mamoru TASAKA 2010-11-27 15:38:39 EST
2 issues

! Sources
  - The gem file in your srpm does not match what I could download
    from the URL written in your spec. Looks like after 0.0.4 gem was
    uploaded to rubygems.org, you modified gem file locally.

* Usability
  - It seems that "boxgrinder-build-local-delivery-plugin" cannot
    be loaded directly:
----------------------------------------------------
$ irb
irb(main):001:0> require "rubygems"
=> true
irb(main):002:0> require "boxgrinder-build-local-delivery-plugin"
NoMethodError: undefined method `plugin' for main:Object
	from /usr/lib/ruby/gems/1.8/gems/boxgrinder-build-local-delivery-plugin-0.0.4/lib/boxgrinder-build-local-delivery-plugin.rb:21
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
	from (irb):2
irb(main):003:0>
----------------------------------------------------
    As this script seems the "main" script for this gem, I think
    this should be fixed. Perhaps this script should have requirement for
    "boxgrinder-build/managers/plugin-manager"

----------------------------------------------------
$ irb
irb(main):001:0> require "rubygems"
=> true
irb(main):002:0> require "boxgrinder-build/managers/plugin-manager"
=> true
irb(main):003:0> require "boxgrinder-build-local-delivery-plugin"
=> true
irb(main):004:0> 
----------------------------------------------------
Comment 3 Mamoru TASAKA 2010-11-27 15:40:23 EST
By the way I would appreciate it if you would have some time
for reviewing my review package (bug 639638)
Comment 4 Marek Goldmann 2010-11-29 05:24:40 EST
(In reply to comment #2)
> 2 issues
> 
> ! Sources
>   - The gem file in your srpm does not match what I could download
>     from the URL written in your spec. Looks like after 0.0.4 gem was
>     uploaded to rubygems.org, you modified gem file locally.

Fixed :)

> * Usability
>   - It seems that "boxgrinder-build-local-delivery-plugin" cannot
>     be loaded directly:
> ----------------------------------------------------
> $ irb
> irb(main):001:0> require "rubygems"
> => true
> irb(main):002:0> require "boxgrinder-build-local-delivery-plugin"
> NoMethodError: undefined method `plugin' for main:Object
>  from
> /usr/lib/ruby/gems/1.8/gems/boxgrinder-build-local-delivery-plugin-0.0.4/lib/boxgrinder-build-local-delivery-plugin.rb:21
>  from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in
> `gem_original_require'
>  from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
>  from (irb):2
> irb(main):003:0>
> ----------------------------------------------------
>     As this script seems the "main" script for this gem, I think
>     this should be fixed. Perhaps this script should have requirement for
>     "boxgrinder-build/managers/plugin-manager"
> 
> ----------------------------------------------------
> $ irb
> irb(main):001:0> require "rubygems"
> => true
> irb(main):002:0> require "boxgrinder-build/managers/plugin-manager"
> => true
> irb(main):003:0> require "boxgrinder-build-local-delivery-plugin"
> => true
> irb(main):004:0> 
> ----------------------------------------------------

True, this should work with requiring directly the main require, although it's not usable without the full BG stack. Same goes to all other plugins, will add there require too:

[goldmann@work git]$ irb
irb(main):001:0> require 'rubygems'
=> true
irb(main):002:0> require 'boxgrinder-build-local-delivery-plugin'
=> true
irb(main):003:0> 

Updated files:

Spec URL:
http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-local-delivery-plugin.spec
SRPM URL:
http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-local-delivery-plugin-0.0.5-1.fc15.src.rpm

Changelog:

* Mon Nov 29 2010  <mgoldman@redhat.com> - 0.0.5-1
- Upstream release: 0.0.5
- [BGBUILD-105] No plugin-manager require for local delivery plugin

Rawhide scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2631639

Thanks!
Comment 5 Mamoru TASAKA 2010-11-30 14:37:51 EST
Looks okay.

---------------------------------------------------------
   This package (rubygem-build-local-delivery-plugin)
   is APPROVED by mtasaka
---------------------------------------------------------
Comment 6 Marek Goldmann 2010-11-30 15:23:59 EST
Thank you! Will review your package shortly.

New Package SCM Request
=======================
Package Name:      rubygem-boxgrinder-build-local-delivery-plugin
Short Description: BoxGrinder plugin to deliver appliance to local filesystem
Owners:            goldmann
Branches:          f13 f14
Comment 7 Jason Tibbitts 2010-12-02 14:36:51 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2010-12-09 08:02:12 EST
rubygem-boxgrinder-build-local-delivery-plugin-0.0.5-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-boxgrinder-build-local-delivery-plugin-0.0.5-1.fc14
Comment 9 Fedora Update System 2010-12-09 09:22:57 EST
rubygem-boxgrinder-build-local-delivery-plugin-0.0.5-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-boxgrinder-build-local-delivery-plugin-0.0.5-1.fc13
Comment 10 Fedora Update System 2010-12-09 16:58:23 EST
rubygem-boxgrinder-build-local-delivery-plugin-0.0.5-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-boxgrinder-build-local-delivery-plugin'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rubygem-boxgrinder-build-local-delivery-plugin-0.0.5-1.fc14
Comment 11 Mamoru TASAKA 2010-12-10 13:17:57 EST
Closing.
Comment 12 Fedora Update System 2010-12-17 15:25:20 EST
rubygem-boxgrinder-build-local-delivery-plugin-0.0.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-12-17 15:31:15 EST
rubygem-boxgrinder-build-local-delivery-plugin-0.0.5-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Marek Goldmann 2011-01-25 03:04:57 EST
Package Change Request
======================
Package Name: rubygem-boxgrinder-build-local-delivery-plugin
New Branches: el5 el6
Owners: goldmann
Comment 15 Jason Tibbitts 2011-01-25 09:09:17 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.